<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Tpertenencia
 *
 * @ORM\Table(name="tpertenencia")
 * @ORM\Entity
 */
class Tpertenencia
{
    /**
     * @var int
     *
     * @ORM\Column(name="idpertenencia", type="smallint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idpertenencia;

    /**
     * @var string
     *
     * @ORM\Column(name="descripcion", type="string", length=50, nullable=false)
     */
    private $descripcion;

    public function getIdpertenencia(): ?int
    {
        return $this->idpertenencia;
    }

    public function getDescripcion(): ?string
    {
        return $this->descripcion;
    }

    public function setDescripcion(string $descripcion): self
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    public function __toString()
    {
        return $this->getDescripcion();
    }
}
